commit: d944128437eb1642b59418161966ed32a0cbab6a
Author: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Tue Jun 29 02:20:05 2021 +0000
Commit: Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Tue Jun 29 02:43:46 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=d9441284
dev-python/font-v: initial import
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
dev-python/font-v/Manifest | 1 +
dev-python/font-v/font-v-1.0.5.ebuild | 39 +++++++++++++++++++++++++++++++++++
dev-python/font-v/metadata.xml | 14 +++++++++++++
3 files changed, 54 insertions(+)
diff --git a/dev-python/font-v/Manifest b/dev-python/font-v/Manifest
new file mode 100644
index 000000000..e06e1db13
--- /dev/null
+++ b/dev-python/font-v/Manifest
@@ -0,0 +1 @@
+DIST font-v-1.0.5.tar.gz 4270200 BLAKE2B
b94c4e0bff4c07efd50803068e0fc061c910b24f8ed2e70ae1b92d06d69db9d707b6665fdc2179eb80ae814c3b2ad913f58b1c5d4a7b9f81b40269cbb505cfb7
SHA512
070415a72deb8a35804ee548f745edf399fe01ae279ea9ca88f0d1231af77a37f38456726db73e8df26d324bd8e0159b2978a668984d9f8cc24794e2a045cb73
diff --git a/dev-python/font-v/font-v-1.0.5.ebuild
b/dev-python/font-v/font-v-1.0.5.ebuild
new file mode 100644
index 000000000..a20b3e87c
--- /dev/null
+++ b/dev-python/font-v/font-v-1.0.5.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..9} )
+
+inherit distutils-r1
+
+SRC_URI="https://github.com/source-foundry/font-v/archive/refs/tags/v${PV}.tar.gz
-> ${P}.tar.gz"
+KEYWORDS="~amd64 ~x86"
+DESCRIPTION="Font version string reporting and modification library"
+HOMEPAGE="https://github.com/source-foundry/font-v"
+LICENSE="MIT"
+SLOT="0"
+
+RDEPEND="
+ >=dev-python/fonttools-4.17[${PYTHON_USEDEP}]
+ >=dev-python/GitPython-3.1.11[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+BDEPEND="test? ( dev-vcs/git )"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs dev-python/sphinx_rtd_theme
+
+python_test() {
+ #it want a git repo
+ git init || die
+ git config --global user.email "[email protected]" || die
+ git config --global user.name "Your Name" || die
+ git add . || die
+ git commit -m 'init' || die
+
+ #pure madness
+
#https://github.com/source-foundry/font-v/blob/e6746e4a045c99e56af661918c96259b1f444ed4/tests/test_utilities.py#L34
+ sed -e "s|\"font-v\"|\"${PWD##*/}\"|g" -i "tests/test_utilities.py" ||
die
+ epytest -vv
+}
diff --git a/dev-python/font-v/metadata.xml b/dev-python/font-v/metadata.xml
new file mode 100644
index 000000000..d4baa81fa
--- /dev/null
+++ b/dev-python/font-v/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <description>co-maintainers welcome</description>
+ <email>[email protected]</email>
+ <name>Alessandro Barbieri</name>
+ </maintainer>
+ <upstream>
+ <bugs-to>https://github.com/source-foundry/font-v/issues</bugs-to>
+ <remote-id type="github">source-foundry/font-v</remote-id>
+ <remote-id type="pypi">font-v</remote-id>
+ </upstream>
+</pkgmetadata>